# $Id: fakegtk.py,v 1.4 2002/02/18 12:59:43 marijn Exp $

# An air traffic simulation game. 
# Copyright (C) 2000,1,2  Marijn Vriens <marijn@sanity.dhs.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

class fakeCanvas:
    def root(self):
        return fakeCanvasItem()
    def size_request(self):
        return 100, 100
    def set_scroll_region(self, *args):
        pass
    def set_pixels_per_unit(self, unit):
        assert(unit)
    def connect(self, event, callback, *args):
        assert(event)
        assert(callback)


class fakeCanvasItem:
    def add(self, type, *args, **kword):
        assert(type)
        return fakeCanvasItem()
    def set(self, *args, **kwords):
        try:
            v = kwords['text']
            assert(type(v) == type(""))
        except:
            pass
    def move(self, x, y):
        assert(x != None)
        assert(y != None)
    def connect(self, e, cb, *args):
        assert(e)
        assert(cb)
    def hide(self):
        pass

class fakeGtkWindow:
    def show_all(self):
        pass
    def connect(self, event, callback, *args):
        assert(event)
        assert(callback)

# $Log: fakegtk.py,v $
# Revision 1.4  2002/02/18 12:59:43  marijn
# Added connect() methods
#
# Revision 1.3  2002/02/18 10:49:08  marijn
# Updated copyright information
#
# Revision 1.2  2002/02/07 12:51:36  marijn
# Redid window referencing
#
# Revision 1.1  2002/02/01 23:55:31  marijn
# initial tests added
#
